Vercel
API ReferenceChats

Get Chat

Retrieves a chat by ID.

GET/v2/chats/{chatId}

Usage

TypeScript Example
import { v0 } from 'v0-sdk'const result = await v0.chats.get({  chatId: 'chat_abc123',})console.log(result)

API Signature

Request

Path Parameters

chatId: string

The unique identifier of the chat.

Response

id: string

Unique chat identifier.

title?: string

Chat title, if generated.

privacy: 'public' | 'private' | 'team' | 'team-edit' | 'unlisted'

Visibility setting of the chat.

createdAt: string

ISO timestamp of when the chat was created.

updatedAt?: string

ISO timestamp of when the chat was last updated.

authorId: string

ID of the user who created the chat.

vercelProjectId?: string

Associated Vercel project ID, if any.

metadata: Record<string, string>

User-defined key-value metadata.

writePermission: boolean

Whether the caller has write access to this chat.

On this page